import createAxios from '/@/utils/axios'

export const url = '/admin/mall.PlayxConfig/'

export const actionUrl = new Map([
    ['index', url + 'index'],
    ['save', url + 'save'],
])

export function index() {
    return createAxios({
        url: actionUrl.get('index'),
        method: 'get',
    })
}

export function save(data: anyObj) {
    return createAxios(
        {
            url: actionUrl.get('save'),
            method: 'post',
            data,
        },
        {
            showSuccessMessage: true,
        }
    )
}
